VERSION 5.00
Begin VB.Form frmCode 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Step 0"
   ClientHeight    =   5985
   ClientLeft      =   1965
   ClientTop       =   2355
   ClientWidth     =   8775
   LinkTopic       =   "Form2"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5985
   ScaleWidth      =   8775
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >>"
      Height          =   375
      Left            =   6000
      TabIndex        =   4
      Top             =   5400
      Width           =   1215
   End
   Begin VB.TextBox txtDesc 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1695
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   3
      Text            =   "code5.frx":0000
      Top             =   120
      Width           =   8535
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Height          =   375
      Left            =   7440
      TabIndex        =   2
      Top             =   5400
      Width           =   1215
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<< &Back"
      Height          =   375
      Left            =   4800
      TabIndex        =   1
      Top             =   5400
      Width           =   1215
   End
   Begin VB.TextBox txtCode 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3255
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   1920
      Width           =   8535
   End
End
Attribute VB_Name = "frmCode"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdBack_Click()
    Dim i As Integer
    i = CInt(frmCode.Tag)
    If i > 1 Then
        i = i - 1
        frmCode.Tag = CStr(i)
        cmdNext.Enabled = True
        If i < 2 Then
            cmdBack.Enabled = False
        End If
        ShowCode
    End If
End Sub

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdNext_Click()
    Dim i As Integer
    i = CInt(frmCode.Tag)
    If i <= 4 Then
        i = i + 1
        frmCode.Tag = CStr(i)
        cmdBack.Enabled = True
        If i >= 4 Then
            cmdNext.Enabled = False
        End If
        ShowCode
    End If

End Sub



Private Sub Form_Load()
    frmCode.Icon = Form1.Icon
    frmCode.Tag = "1"
    txtDesc.BackColor = Me.BackColor
    txtCode.FontSize = 9
    cmdBack.Enabled = False
    ShowCode
End Sub



Private Sub ShowCode()
    Dim Code As String
    Dim Desc As String
    Dim inset As String
    inset = Space$(2)
    Select Case frmCode.Tag
        Case "1"
            Me.Caption = "Step-1 Verifying a Key or Item (IsEntry method)"
            Desc = "The IsEntry method can be used to determine whether a Key or Item " & _
            "exists. After specifying the RootKey and Key, IsEntry will return True " & _
            "if the key exists and False if it does not." & vbCrLf & vbCrLf & "If " & _
            "KeyItemName is specified, IsEntry will return True if the Item exists within the " & _
            "key and False if the Item within the key does not exist." & vbCrLf & vbCrLf & _
            "Note: Use the EnumerateEntry method to retrieve the subkeys and items of a key."
            
            Code = vbCrLf & inset & "RegiCon1.RootKey = rkHKEY_LOCAL_MACHINE" & vbCrLf
            Code = Code & inset & "RegiCon1.Key = ""SOFTWARE\Classes\http\shell\open\ddeexec\Application""" & vbCrLf
            Code = Code & inset & "RegiCon1.KeyItemName = """"" & vbCrLf
            Code = Code & inset & "If RegiCon1.IsEntry = False Then" & vbCrLf
            Code = Code & inset & inset & "'no default browser, disable change start page options" & vbCrLf
            Code = Code & inset & inset & "cboStartPages.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "cmdApply.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "cmdReset.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "Exit Sub" & vbCrLf
            Code = Code & inset & "End If"
        Case "2"
            Me.Caption = "Step-2 Retrieving the default value of a Key (GetEntry method)"
            Desc = "To retrieve a value we must specify the RootKey, the Key and " & _
            "the KeyItemName properties. Since the default browser is the key's " & _
            "default entry, we clear KeyItemName." & vbCrLf & vbCrLf & _
            "After invoking GetEntry, KeyItemValue will contain the entry (the default browser " & _
            "in this case)." & vbCrLf & vbCrLf & "Note: KeyItemType will also contain the data type of entry."

            Code = vbCrLf & inset & "RegiCon1.RootKey = rkHKEY_LOCAL_MACHINE" & vbCrLf
            Code = Code & inset & "RegiCon1.Key = ""SOFTWARE\Classes\http\shell\open\ddeexec\Application""" & vbCrLf
            Code = Code & inset & "RegiCon1.KeyItemName = """"" & vbCrLf
            Code = Code & inset & "RegiCon1.GetEntry" & vbCrLf
            Code = Code & inset & "'" & vbCrLf
            Code = Code & inset & "'Display the entry" & vbCrLf
            Code = Code & inset & "lblDefaultBrowser.Caption = RegiCon1.KeyItemValue"
        Case "3"
            Me.Caption = "Step-3 Retrieving an Item (GetEntry method)"
            Desc = "Like most applications, each browser has its own set of registry " & _
            "keys. Therefore, the location for the start page entry depends " & _
            "on the default browser. Again, we use GetEntry to retrieve the desired information " & _
            "after setting the RootKey, Key, and KeyItemName properties." & vbCrLf & vbCrLf & _
            "In this case, after invoking GetEntry, KeyItemValue will contain the start page."

            Code = vbCrLf & inset & "If InStr(1, lblDefaultBrowser.Caption, ""IExplore"", 1) > 0 Then" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.RootKey = rkHKEY_CURRENT_USER" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.Key = ""Software\Microsoft\Internet Explorer\Main""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemName = ""Start Page""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.GetEntry" & vbCrLf
            Code = Code & inset & inset & "'" & vbCrLf
            Code = Code & inset & inset & "'capture the entry" & vbCrLf
            Code = Code & inset & inset & "DefaultStartPage = RegiCon1.KeyItemValue" & vbCrLf
            Code = Code & inset & "ElseIf InStr(1, lblDefaultBrowser.Caption, ""Netscape"", 1) > 0 Then" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.RootKey = rkHKEY_CURRENT_USER" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.Key = ""Software\Netscape\Netscape Navigator\Main""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemName = ""Home Page""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.GetEntry" & vbCrLf
            Code = Code & inset & inset & "'" & vbCrLf
            Code = Code & inset & inset & "'capture the entry" & vbCrLf
            Code = Code & inset & inset & "DefaultStartPage = RegiCon1.KeyItemValue" & vbCrLf
            Code = Code & inset & "Else" & vbCrLf
            Code = Code & inset & inset & "'unknown browser, disable change start page options" & vbCrLf
            Code = Code & inset & inset & "cboStartPages.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "cmdApply.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "cmdReset.Enabled = False" & vbCrLf
            Code = Code & inset & inset & "Exit Sub" & vbCrLf
            Code = Code & inset & "End If" & vbCrLf
        
        Case "4"
            Me.Caption = "Step-4 Changing an Item (SetEntry method)"
            Desc = "When changing an entry, one must set the RootKey, Key and KeyItemName properties " & _
            "to specify the location of the Item. The registry supports several data " & _
            "types and the KeyItemType property is used to indicate the desired data type. Finally," & _
            "specify the KeyItemValue property and invoke the SetEntry method."

            Code = vbCrLf & inset & "If InStr(1, lblDefaultBrowser.Caption, ""IExplore"", 1) > 0 Then" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.RootKey = rkHKEY_CURRENT_USER" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.Key = ""Software\Microsoft\Internet Explorer\Main""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemName = ""Start Page""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemType = dtREG_SZ" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemValue = NewStartPage" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.SetEntry" & vbCrLf
            Code = Code & inset & "ElseIf InStr(1, lblDefaultBrowser.Caption, ""Netscape"", 1) > 0 Then" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.RootKey = rkHKEY_CURRENT_USER" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.Key = ""Software\Netscape\Netscape Navigator\Main""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemName = ""Home Page""" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemType = dtREG_SZ" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.KeyItemValue = NewStartPage" & vbCrLf
            Code = Code & inset & inset & "RegiCon1.SetEntry" & vbCrLf
            Code = Code & inset & "End If" & vbCrLf
    End Select
    txtDesc.Text = Desc
    txtCode.Text = Code
End Sub
